javax.resource.spi.work

## Interface WorkContext

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    HintsContext, SecurityContext, TransactionContext

      public interface WorkContext
      extends java.io.Serializable

  This class serves as a standard mechanism for a resource adapter to propagate an imported context from an enterprise information system to an application server.

  A `Work` instance, that implements the `WorkContextProvider`, could provide a `List` of these `WorkContext` instances (through the getWorkContexts() method), and have them setup as the execution context by the `WorkManager` when the `Work` instance gets executed. The resource adapter must not make any changes to the state of the `WorkContext` after the `Work` instance corresponding to that `WorkContext` has been submitted to the `WorkManager`.

  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get the brief description of the role played by the `WorkContext` and any other related debugging information.
    `java.lang.String` | `getName()` Get the associated name of the `WorkContext`.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get the associated name of the `WorkContext`. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Returns:
        the associated name of the `WorkContext`

    - #### getDescription

          java.lang.String getDescription()

      Get the brief description of the role played by the `WorkContext` and any other related debugging information. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Returns:
        the associated description of the `WorkContext`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)